<?php

declare(strict_types=1);

namespace App\Service;

use App\Repository\TblPerfilUsuarioComunidadHigenRepository;

final class TblPerfilUsuarioComunidadHigenService
{
    private TblPerfilUsuarioComunidadHigenRepository $TblPerfilUsuarioComunidadHigenRepository;

    public function __construct(TblPerfilUsuarioComunidadHigenRepository $TblPerfilUsuarioComunidadHigenRepository)
    {
        $this->TblPerfilUsuarioComunidadHigenRepository = $TblPerfilUsuarioComunidadHigenRepository;
    }

    public function checkAndGet(int $TblPerfilUsuarioComunidadHigenId): object
    {
        return $this->TblPerfilUsuarioComunidadHigenRepository->checkAndGet($TblPerfilUsuarioComunidadHigenId);
    }

    public function getAll(): array
    {
        return $this->TblPerfilUsuarioComunidadHigenRepository->getAll();
    }

    public function getOne(int $TblPerfilUsuarioComunidadHigenId): object
    {
        return $this->checkAndGet($TblPerfilUsuarioComunidadHigenId);
    }

    public function create(array $input): object
    {
        $TblPerfilUsuarioComunidadHigen = json_decode((string) json_encode($input), false);

        return $this->TblPerfilUsuarioComunidadHigenRepository->create($TblPerfilUsuarioComunidadHigen);
    }

    public function update(array $input, int $TblPerfilUsuarioComunidadHigenId): object
    {
        $TblPerfilUsuarioComunidadHigen = $this->checkAndGet($TblPerfilUsuarioComunidadHigenId);
        $data = json_decode((string) json_encode($input), false);

        return $this->TblPerfilUsuarioComunidadHigenRepository->update($TblPerfilUsuarioComunidadHigen, $data);
    }

    public function delete(int $TblPerfilUsuarioComunidadHigenId): void
    {
        $this->checkAndGet($TblPerfilUsuarioComunidadHigenId);
        $this->TblPerfilUsuarioComunidadHigenRepository->delete($TblPerfilUsuarioComunidadHigenId);
    }
}
